> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new subscription cancellation

> Operacion: Create a new subscription cancellation.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/subscription_cancellation/create
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_cancellation/create:
    post:
      tags:
        - Subscription Cancellation
      summary: Create a new subscription cancellation
      description: 'Operacion: Create a new subscription cancellation.'
      operationId: SubscriptionCancellationController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscriptionCancellationDto'
      responses:
        '201':
          description: Cancellation created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionCancellationResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateSubscriptionCancellationDto:
      type: object
      properties:
        cancellation_reason_id:
          type: number
        date:
          type: string
        subscription_detail_id:
          type: string
        cancellation_cost:
          type: number
        monthly_payments:
          type: number
        subscription_currency_id:
          type: number
        observations:
          type: string
      required:
        - cancellation_reason_id
        - date
        - subscription_detail_id
    SubscriptionCancellationResponseDto:
      type: object
      properties:
        id:
          type: number
        cancellation_reason_id:
          type: number
        date:
          format: date-time
          type: string
        subscription_detail_id:
          type: string
        cancellation_cost:
          type: object
        monthly_payments:
          type: object
        subscription_currency_id:
          type: object
        observations:
          type: object
        cancellationReason:
          $ref: '#/components/schemas/CancellationReasonResponseDto'
      required:
        - id
        - cancellation_reason_id
        - date
        - subscription_detail_id
    CancellationReasonResponseDto:
      type: object
      properties:
        cancellation_reason_id:
          type: number
        reason:
          type: string
      required:
        - cancellation_reason_id
        - reason
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````